import { OnInit, OnDestroy } from '@angular/core';
import { AnimationEvent } from '@angular/animations';
import { BusyService } from './busy.service';
import { Subscription } from 'rxjs';
export declare class BusyComponent implements OnInit, OnDestroy {
    private busyService;
    /**
     * Set the minimum loader display time
     */
    private minTTL;
    private startCount;
    private firstStartTime;
    private busy;
    state: string;
    divStateHide: boolean;
    subscription: Subscription;
    constructor(busyService: BusyService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    startBusy(): void;
    stopBusy(): void;
    animation(event: AnimationEvent): void;
    private createServiceSubscription;
}
